#ifndef QWATERMARK_H
#define QWATERMARK_H

#include <QtGui/QMainWindow>
#include "ui_qwatermark.h"

#include <QStringList>
#include <QString>
#include <QFileDialog>
#include <QPainter>
#include <QMessageBox>
#include <QColorDialog>

class QWatermark : public QMainWindow
{
    Q_OBJECT

public:
    QWatermark(QWidget *parent = 0);
    ~QWatermark();

    QStringList *filesToProcess;

public slots:
	void selectSourceFolder(void);
	void selectDestinationFolder(void);
	void selectLogo(void);
	void imageTextChange(void);
	void showColorDialog(void);
	void doWatermark(void);
	void about(void);



private:
	QColorDialog *colorDialog;
	QColor selectedColor;
    Ui::MainWindow ui;
};

#endif // QWATERMARK_H
